KinoSearch1::Highlight::Formatter(3pm)

NAME
KinoSearch1::Highlight::Formatter - format highlighted bits within excerpts

SYNOPSIS
        # abstract base class

DESCRIPTION
Formatter objects serve one purpose: they highlight pieces of text within an excerpt. The text might be a single term, or it might be a phrase.

METHODS

  highlight
        my $highlighted = $formatter->highlight($text);

Highlight text by e.g. surrounding it with asterisks, or html "strong" tags, etc.

COPYRIGHT
Copyright 2006-2010 Marvin Humphrey

LICENSE, DISCLAIMER, BUGS, etc.
See KinoSearch1 version 1.01.